org.bootchart.parser.linux

## Class PidNameParser

- java.lang.Object
- - org.bootchart.parser.linux.PidNameParser

-     public class PidNameParser
      extends java.lang.Object

  PidNameParser parses PID to command name mapping log files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PidNameParser()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map` | `parseLog(java.io.InputStream is)` Parses the `pidname` log file (containing pid to command name mappings).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PidNameParser

          public PidNameParser()

  - ### Method Detail

    - #### parseLog

          public static java.util.Map parseLog(java.io.InputStream is)
                                        throws java.io.IOException

      Parses the `pidname` log file (containing pid to command name mappings).
      Parameters:
        `is` - the input stream to parse
      Returns:
        a map of Integer to String instances
      Throws:
        `java.io.IOException` - if an I/O error occurs